#!/bin/sh 

CVER="../../bin/cver -q " 

if test ! -f ../../bin/cver 
then
  echo "ERROR - there is no cver in ../../bin/"
  echo "Must make in src/ directory" 
  exit 1
fi

$CVER instid.v >/dev/null
./rmlic.pl
cmp -s verilog.log instid.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    

$CVER instpnd3.v >/dev/null
./rmlic.pl
cmp -s verilog.log instpnd3.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    

$CVER aspike1.v >/dev/null
./rmlic.pl
cmp -s verilog.log aspike1.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    

$CVER +warn_canceled_e aspike1.v >/dev/null
./rmlic.pl
cmp -s verilog.log aspike1a.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    

$CVER +show_canceled_e aspike1.v >/dev/null
./rmlic.pl
cmp -s verilog.log aspike1b.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    

$CVER +show_canceled_e +pulse_e_style_ondetect aspike1.v >/dev/null
./rmlic.pl
cmp -s verilog.log aspike1c.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    

$CVER aspike1.v -et >/dev/null
./rmlic.pl
cmp -s verilog.log aspike1d.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    

$CVER +warn_canceled_e -v JK_Q.v -v JK_QBAR.v udpjkff.v >/dev/null
./rmlic.pl
cmp -s verilog.log udpjkff.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    

$CVER xx2bdel.v >/dev/null
./rmlic.pl
cmp -s verilog.log xx2bdel.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    

$CVER xx2bpth.v >/dev/null
./rmlic.pl
cmp -s verilog.log xx2bpth.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    

$CVER xx2bpth2.v >/dev/null
./rmlic.pl
cmp -s verilog.log xx2bpth2.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    

$CVER c880.v >/dev/null
./rmlic.pl
cmp -s verilog.log c880.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    

$CVER -i force01.inp force01.v >/dev/null
./rmlic.pl
cmp -s verilog.log force01.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    

$CVER smrd04.v -f smrd04.vc >/dev/null
./rmlic.pl
cmp -s verilog.log smrd04.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    

$CVER gatenots.v >/dev/null
./rmlic.pl
cmp -s verilog.log gatenots.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    

$CVER arms_sim.v armscnt.v >/dev/null
./rmlic.pl
cmp -s verilog.log arms.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    

$CVER -f dfpsetd.vc >/dev/null
./rmlic.pl
cmp -s verilog.log dfpsetd.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    

$CVER -f mipdnot1.vc >/dev/null
./rmlic.pl
cmp -s verilog.log mipdnot1.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    

$CVER -f sdfia04.vc >/dev/null
./rmlic.pl
cmp -s verilog.log sdfia04.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    

$CVER dffn.v >/dev/null
./rmlic.pl
cmp -s verilog.log dffn.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    

$CVER xplipnd.v >/dev/null
./rmlic.pl
cmp -s verilog.log xplipnd.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    

$CVER defsplt1.v >/dev/null
./rmlic.pl
cmp -s verilog.log defsplt1.plg
if [ "$?" -ne 0 ]; then
    exit 1
fi    


exit 0
